PostgreSQL Bugs

Collected from the PG bugs email list.

Bug ID15815
PG Version9.6.12
OSAmazon Aurora
Opened2019-05-21 14:26:24+00
Reported bySteve I
StatusNew

Body of first available message related to this bug follows.

The following bug has been logged on the website:

Bug reference:      15815
Logged by:          Steve I
Email address:      (redacted)
PostgreSQL version: 9.6.12
Operating system:   Amazon Aurora
Description:        

AWS Aurora, stable on 9.6.6/8 for a year, updated to 9.6.12:

LOG:  server process (PID 31294) was terminated by signal 11: Segmentation
fault
DETAIL:  Failed process was running: 
simplied >>> SELECT value FROM {table} WHERE lower(substring(value,1,1000))
>= '{string}'
LOG:  terminating any other active server processes
FATAL:  Can't handle storage runtime process crash

This specific SQL will cause a segfault on our dataset 100%. If I change any
part of it it won't e.g. remove lower, or substring, or change > to <, or
any part of the string.  We have a few other variations, but this example is
the most often reported and reproducible. 

Guidance on if this is a know issue, how to provide additional information
to further trace it in an AWS environment, or how to bypass it, is most
appreciated.

Messages

DateAuthorSubject
2019-05-21 14:26:24+00PG Bug reporting formBUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-21 14:42:52+00Tom LaneRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-21 14:46:18+00Euler TaveiraRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-21 15:35:04+00SteveRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-21 15:43:45+00Tom LaneRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-21 19:10:09+00SteveRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-21 19:25:11+00Tom LaneRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-22 01:21:36+00Michael PaquierRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault
2019-05-23 13:16:03+00SteveRe: BUG #15815: Upgraded from 9.6.8 > 9.6.12 on AWS Aurora: SELECTs causing segmentation fault